Subject: Re: Lost /bin/latex?
From: Jan Nieuwenhuizen <[email-masked]>
To: [email-masked]
Date: Wed, 25 Sep 2002 09:56:56 +0200

Igor Pechtchanski <[email-masked]> writes:

> Thanks, I realized it's a symbolic link shortly after I sent the message.

Ok.

> However, something did go wrong with the installation.  I ended up with
> invalid symbolic links in /bin (e.g., /usr/bin/initex was a symbolic link
> to "bin/tex.exe").

Yes, that is correct.  Oh, wait a minute, to bin/tex.exe you say.
That bug has just been fixed by the new release (20020911-1), that was
uploaded yesterday just after you posted your message, so I assumed
you already got the new release.  Could you try upgrading?

> Also, any attempt to run latex failed with a '(Fatal format file
> error; I'm stymied)'.
>
> This was still a problem after I completely uninstalled and reinstalled
> the tetex packages (tetex-base, tetex-bin, tetex-extra, tetex, and
> libkpathsea3).

> Running 'texconfig confall; texconfig rehash; texconfig init; texconfig
> dvips printcmd -' fixed the 'Fatal error' problem,

This is all very strange.  Did you install using setup.exe?  I'm sure
you know that these commands are run (and must be run) during postinstall.

> but the invalid symbolic links are still there.

What links do you think are invalid?  If it's serious, I might have to
make a new release.

> This sequence of texconfig commands is, for some reason, commented
> out from the /etc/postinstall/post-tetex.sh, but is present in
> /etc/postinstall/post-texmf.sh, and I assume has been run (there is
> no log of the postinstall script invocations, is there?).

post-tetex.sh is something very old.  post-texmf.sh should have been
run.  If it has, it gets renamed to post-texm.sh.done.  The setup log
should mention running it, but there is no log, or failure indication
during the run of setup.exe if anything goes wrong, afaik.

Jan.

-- 
Jan Nieuwenhuizen <[email-masked]> | GNU LilyPond - The music typesetter
http://www.xs4all.nl/~jantien       | http://www.lilypond.org

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/